# $Revision: 1.17 $, $Date: 2010/08/21 19:09:02 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Text_LanguageDetect
Summary:	%{_pearname} - language detection class
Summary(pl.UTF-8):	%{_pearname} - klasa do określania języka
Name:		php-pear-%{_pearname}
Version:	0.2.3
Release:	3
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	551092304e74624972f86e5b7e18a0ca
URL:		http://pear.php.net/package/Text_LanguageDetect/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.0.3
Requires:	php-pcre
Requires:	php-pear
Suggests:	php-mbstring
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text_LanguageDetect can identify 52 human languages from text samples
and return confidence scores for each.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Text_LanguageDetect potrafi zidentyfikować 52 ludzkie języki z próbek
tekstu i zwrócić listę najbardziej prawdopodobnych rezultatów.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

install -d examples
mv docs/%{_pearname}/docs/example_* examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Text/LanguageDetect.php
%dir %{php_pear_dir}/Text/LanguageDetect
%{php_pear_dir}/Text/LanguageDetect/Parser.php

%{php_pear_dir}/data/Text_LanguageDetect

%{_examplesdir}/%{name}-%{version}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Text_LanguageDetect.spec,v $
Revision 1.17  2010/08/21 19:09:02  glen
- updated deps with pearize.sh
- release 3

Revision 1.16  2010/08/19 17:59:23  glen
- package examples, suggests mbstring ext

Revision 1.15  2008/08/05 14:39:13  adamg
- updated to 0.2.3

Revision 1.14  2008-01-31 12:16:11  glen
- rel 2

Revision 1.13  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.11  2006/12/30 10:34:02  adamg
- updated to 0.2.1

Revision 1.10  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.9  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.8  2006/04/02 12:05:51  qboosh
- unified (clean before post)

Revision 1.7  2006/04/02 12:01:46  glen
- 0.2.0

Revision 1.6  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.5  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.4  2006/01/15 13:11:00  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.3  2006/01/15 11:34:25  glen
- missing dirs, created -tests; rel 3

Revision 1.2  2006/01/12 11:17:54  adamg
- typo

Revision 1.1  2006/01/12 10:24:59  adamg
- new
